net.corda.core.contracts

## Enum Frequency

-     public enum Frequency

  Frequency at which an event occurs - the enumerator also casts to an integer specifying the number of times per year that would divide into (eg annually = 1, semiannual = 2, monthly = 12 etc).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Frequency.Annual`
    `static class` | `Frequency.BiWeekly`
    `static class` | `Frequency.Daily`
    `static class` | `Frequency.Monthly`
    `static class` | `Frequency.Quarterly`
    `static class` | `Frequency.SemiAnnual`
    `static class` | `Frequency.Weekly`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Annual`
    `BiWeekly`
    `Daily`
    `Monthly`
    `Quarterly`
    `SemiAnnual`
    `Weekly`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAnnualCompoundCount()`
    `java.time.LocalDate` | `offset(java.time.LocalDate d, long n)`

- - ### Enum Constant Detail

    - #### Annual

          public static Frequency Annual

    - #### SemiAnnual

          public static Frequency SemiAnnual

    - #### Quarterly

          public static Frequency Quarterly

    - #### Monthly

          public static Frequency Monthly

    - #### Weekly

          public static Frequency Weekly

    - #### BiWeekly

          public static Frequency BiWeekly

    - #### Daily

          public static Frequency Daily

  - ### Method Detail

    - #### offset

          public java.time.LocalDate offset(java.time.LocalDate d,
                                            long n)

    - #### getAnnualCompoundCount

          public int getAnnualCompoundCount()